package gregapi.load;

import static gregapi.data.CS.U;
import static gregapi.data.CS.W;
import gregapi.data.CS.ModIDs;
import gregapi.data.IL;
import gregapi.data.MT;
import gregapi.data.OP;
import gregapi.old.GregTech_API;
import gregapi.oredict.OreDictItemData;
import gregapi.oredict.OreDictManager;
import gregapi.recipes.GT_ModHandler;
import gregapi.util.OM;
import gregapi.util.UT;
import net.minecraft.init.Items;

/**
 * @author Gregorius Techneticies
 * 
 * Loads the ItemList (IL.java) for most Items (everything except the GT ones).
 * This happens during the InitPhase, or if GregTech is installed within the PreInitPhase, since GregTech loads after all the Mods mentioned here, unlike the API.
 */
public class LoaderItemList implements Runnable {
	@Override public String toString() {return "Item List Loader";}
	
	@Override
	public void run() {
        IL.Bottle_Empty.set(						UT.Stacks.make(Items.glass_bottle, 1, 0), new OreDictItemData(OP.bottle, MT.Empty));
    	OP.bottle.mContainerItem =					UT.Stacks.make(Items.glass_bottle, 1, 0);
    	OP.bucket.mContainerItem =					UT.Stacks.make(Items.bucket, 1, 0);
        
        IL.Dye_Bonemeal.set(						UT.Stacks.make(Items.dye, 1, 15));
        IL.Dye_SquidInk.set(						UT.Stacks.make(Items.dye, 1, 0));
        IL.Dye_Cactus.set(							UT.Stacks.make(Items.dye, 1, 2));
        IL.Dye_Cocoa.set(							UT.Stacks.make(Items.dye, 1, 3));
        
        IL.Food_Bread.set(							UT.Stacks.make(Items.bread, 1, 0));
        IL.Food_Carrot.set(							UT.Stacks.make(Items.carrot, 1, 0));
        IL.Food_Potato.set(							UT.Stacks.make(Items.potato, 1, 0));
        IL.Food_Potato_Baked.set(					UT.Stacks.make(Items.baked_potato, 1, 0));
        IL.Food_Potato_Poisonous.set(				UT.Stacks.make(Items.poisonous_potato, 1, 0));
        
        IL.TE_Slag.set(								GT_ModHandler.getModItem(ModIDs.TE, "material"					, 1, 514));
        IL.TE_Slag_Rich.set(						GT_ModHandler.getModItem(ModIDs.TE, "material"					, 1, 515));
        IL.TE_Phyto_Gro.set(						GT_ModHandler.getModItem(ModIDs.TE, "material"					, 1, 516), null, "itemFertilizer");
        IL.TE_Phyto_Gro_Rich.set(					GT_ModHandler.getModItem(ModIDs.TE, "material"					, 1, 517), null, "itemFertilizer");
        IL.TE_Rockwool.set(							GT_ModHandler.getModItem(ModIDs.TE, "Rockwool"					, 1, 0));
        
        IL.RC_ShuntingWire.set(						GT_ModHandler.getModItem(ModIDs.RC, "machine.delta"				, 1, 0));
        IL.RC_ShuntingWireFrame.set(				GT_ModHandler.getModItem(ModIDs.RC, "frame"						, 1, 0));
        IL.RC_Post_Metal.set(						GT_ModHandler.getModItem(ModIDs.RC, "post.metal"				, 1, 2));
        IL.RC_Rail_Standard.set(					GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 0));
        IL.RC_Rail_Adv.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 1));
        IL.RC_Rail_Wooden.set(						GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 2));
        IL.RC_Rail_HS.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 3));
        IL.RC_Rail_Reinforced.set(					GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 4));
        IL.RC_Rail_Electric.set(					GT_ModHandler.getModItem(ModIDs.RC, "part.rail"					, 1, 5));
        IL.RC_Tie_Wood.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.tie"					, 1, 0));
        IL.RC_Tie_Stone.set(						GT_ModHandler.getModItem(ModIDs.RC, "part.tie"					, 1, 1));
        IL.RC_Bed_Wood.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.railbed"				, 1, 0));
        IL.RC_Bed_Stone.set(						GT_ModHandler.getModItem(ModIDs.RC, "part.railbed"				, 1, 1));
        IL.RC_Rebar.set(							GT_ModHandler.getModItem(ModIDs.RC, "part.rebar"				, 1, 0));
        
        IL.RC_Crowbar_Iron.set(						GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar"				, 1, 0), new OreDictItemData(MT.Fe, U*3));
        IL.RC_Crowbar_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar.reinforced"	, 1, 0), new OreDictItemData(MT.Steel, U*3));
        IL.RC_Crowbar_Thaumium.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar.magic"		, 1, 0), new OreDictItemData(MT.Thaumium, U*3));
        IL.RC_Crowbar_Voidmetal.set(				GT_ModHandler.getModItem(ModIDs.RC, "tool.crowbar.void"			, 1, 0), new OreDictItemData(MT.VoidMetal, U*3));
        
        IL.Tool_Sword_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.sword"			, 1, 0));
        IL.Tool_Pickaxe_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.pickaxe"		, 1, 0));
        IL.Tool_Shovel_Steel.set(					GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.shovel"			, 1, 0));
        IL.Tool_Axe_Steel.set(						GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.axe"			, 1, 0));
        IL.Tool_Hoe_Steel.set(						GT_ModHandler.getModItem(ModIDs.RC, "tool.steel.hoe"			, 1, 0));
        
        IL.TF_LiveRoot.set(							GT_ModHandler.getModItem(ModIDs.TF, "item.liveRoot"				, 1, 0), new OreDictItemData(MT.LiveRoot, U));
        IL.TF_Vial_FieryBlood.set(					GT_ModHandler.getModItem(ModIDs.TF, "item.fieryBlood"			, 1, 0));
        IL.TF_Vial_FieryTears.set(					GT_ModHandler.getModItem(ModIDs.TF, "item.fieryTears"			, 1, 0));
        
        IL.RoC_Comb_Slippery.set(					GT_ModHandler.getModItem(ModIDs.RoC, "rotarycraft_item_modinterface", 1, 0), null, "beeComb");
        IL.RoC_Propolis_Slippery.set(				GT_ModHandler.getModItem(ModIDs.RoC, "rotarycraft_item_modinterface", 1, 1), null, "listAllpropolis");
        
        IL.FR_Planks_Fireproof.set(					GT_ModHandler.getModItem(ModIDs.FR, "planksFireproof"			, 1, 0));
        IL.FR_Planks.set(							GT_ModHandler.getModItem(ModIDs.FR, "planks"					, 1, 0));
        IL.FR_Slabs_Fireproof.set(					GT_ModHandler.getModItem(ModIDs.FR, "slabsFireproof"			, 1, 0));
        IL.FR_Slabs.set(							GT_ModHandler.getModItem(ModIDs.FR, "slabs"						, 1, 0));
        IL.FR_Logs_Fireproof.set(					GT_ModHandler.getModItem(ModIDs.FR, "logsFireproof"				, 1, 0));
        IL.FR_Logs.set(								GT_ModHandler.getModItem(ModIDs.FR, "logs"						, 1, 0));
        IL.FR_Phosphor.set(							GT_ModHandler.getModItem(ModIDs.FR, "phosphor"					, 1, 0), new OreDictItemData(MT.P, U));
        IL.FR_Royal_Jelly.set(						GT_ModHandler.getModItem(ModIDs.FR, "royalJelly"				, 1, 0));
        IL.FR_Propolis.set(							GT_ModHandler.getModItem(ModIDs.FR, "propolis"					, 1, 0), null, "listAllpropolis");
        IL.FR_Propolis_Sticky.set(					GT_ModHandler.getModItem(ModIDs.FR, "propolis"					, 1, 1), null, "listAllpropolis");
        IL.FR_Propolis_Pulsating.set(				GT_ModHandler.getModItem(ModIDs.FR, "propolis"					, 1, 2), null, "listAllpropolis");
        IL.FR_Propolis_Silky.set(					GT_ModHandler.getModItem(ModIDs.FR, "propolis"					, 1, 3), null, "listAllpropolis");
        IL.FR_Comb_Honey.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 0), null, "beeComb");
        IL.FR_Comb_Cocoa.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 1), null, "beeComb");
        IL.FR_Comb_Simmering.set(					GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 2), null, "beeComb");
        IL.FR_Comb_Stringy.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 3), null, "beeComb");
        IL.FR_Comb_Frozen.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 4), null, "beeComb");
        IL.FR_Comb_Dripping.set(					GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 5), null, "beeComb");
        IL.FR_Comb_Silky.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 6), null, "beeComb");
        IL.FR_Comb_Parched.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 7), null, "beeComb");
        IL.FR_Comb_Mysterious.set(					GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 8), null, "beeComb");
        IL.FR_Comb_Irradiated.set(					GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1, 9), null, "beeComb");
        IL.FR_Comb_Powdery.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,10), null, "beeComb");
        IL.FR_Comb_Reddened.set(					GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,11), null, "beeComb");
        IL.FR_Comb_Darkened.set(					GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,12), null, "beeComb");
        IL.FR_Comb_Omega.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,13), null, "beeComb");
        IL.FR_Comb_Wheaten.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,14), null, "beeComb");
        IL.FR_Comb_Mossy.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,15), null, "beeComb");
        IL.FR_Comb_Mellow.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeCombs"					, 1,16), null, "beeComb");
        IL.FR_Pollen_Cluster.set(					GT_ModHandler.getModItem(ModIDs.FR, "pollen"					, 1, 0));
        IL.FR_Pollen_Cluster_Crystalline.set(		GT_ModHandler.getModItem(ModIDs.FR, "pollen"					, 1, 1));
        IL.FR_Mulch.set(							GT_ModHandler.getModItem(ModIDs.FR, "mulch"						, 1, 0));
        IL.FR_Fertilizer.set(						GT_ModHandler.getModItem(ModIDs.FR, "fertilizerCompound"		, 1, 0), null, "itemFertilizer");
        IL.FR_Compost.set(							GT_ModHandler.getModItem(ModIDs.FR, "fertilizerBio"				, 1, 0));
        IL.FR_Pulsating_Dust.set(					GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 0), new OreDictItemData(MT.EnderPearl, U));
        IL.FR_Pulsating_Mesh.set(					GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 1));
        IL.FR_Silk.set(								GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 2));
        IL.FR_Silk_Woven.set(						GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 3));
        IL.FR_Dissipation_Capsule.set(				GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 4));
        IL.FR_Ice_Shard.set(						GT_ModHandler.getModItem(ModIDs.FR, "craftingMaterial"			, 1, 5), new OreDictItemData(MT.Ice, U));
        IL.FR_Iodine_Capsule.set(					GT_ModHandler.getModItem(ModIDs.FR, "iodineCapsule"				, 1, 0));
        IL.FR_HoneyPot.set(							GT_ModHandler.getModItem(ModIDs.FR, "honeyPot"					, 1, 0));
        IL.FR_Ambrosia.set(							GT_ModHandler.getModItem(ModIDs.FR, "ambrosia"					, 1, 0));
        IL.FR_TinCapsule.set(						GT_ModHandler.getModItem(ModIDs.FR, "canEmpty"					, 1, 0));
        IL.FR_WaxCapsule.set(						GT_ModHandler.getModItem(ModIDs.FR, "waxCapsule"				, 1, 0));
        IL.FR_RefractoryCapsule.set(				GT_ModHandler.getModItem(ModIDs.FR, "refractoryEmpty"			, 1, 0));
        IL.FR_Bee_Drone.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeDroneGE"				, 1, 0));
        IL.FR_Bee_Princess.set(						GT_ModHandler.getModItem(ModIDs.FR, "beePrincessGE"				, 1, 0));
        IL.FR_Bee_Queen.set(						GT_ModHandler.getModItem(ModIDs.FR, "beeQueenGE"				, 1, 0));
        IL.FR_Tree_Sapling.set(						GT_ModHandler.getModItem(ModIDs.FR, "sapling"					, 1, GT_ModHandler.getModItem(ModIDs.FR, "saplingGE", 1)));
        IL.FR_Butterfly.set(						GT_ModHandler.getModItem(ModIDs.FR, "butterflyGE"				, 1, 0));
        IL.FR_Larvae.set(							GT_ModHandler.getModItem(ModIDs.FR, "beeLarvaeGE"				, 1, 0));
        IL.FR_Serum.set(							GT_ModHandler.getModItem(ModIDs.FR, "serumGE"					, 1, 0));
        IL.FR_Caterpillar.set(						GT_ModHandler.getModItem(ModIDs.FR, "caterpillarGE"				, 1, 0));
        IL.FR_PollenFertile.set(					GT_ModHandler.getModItem(ModIDs.FR, "pollenFertile"				, 1, 0));
        IL.FR_Stick.set(							GT_ModHandler.getModItem(ModIDs.FR, "oakStick"					, 1, 0));
        IL.FR_Casing_Impregnated.set(				GT_ModHandler.getModItem(ModIDs.FR, "impregnatedCasing"			, 1, 0));
        IL.FR_Casing_Sturdy.set(					GT_ModHandler.getModItem(ModIDs.FR, "sturdyMachine"				, 1, 0));
        IL.FR_Casing_Hardened.set(					GT_ModHandler.getModItem(ModIDs.FR, "hardenedMachine"			, 1, 0));
    	
        IL.Cell_Universal_Fluid.set(				GT_ModHandler.getIC2Item("FluidCell"							, 1   ), new OreDictItemData(MT.Sn, U*2, OM.stack(MT.Glass, (U * 3)/ 8)));
        IL.Cell_Empty.set(							GT_ModHandler.getIC2Item("cell"									, 1   ), OP.cell.dat(MT.Empty));
        IL.Cell_Water.set(							GT_ModHandler.getIC2Item("waterCell"							, 1   ), OP.cell.dat(MT.Water));
        IL.Cell_Lava.set(							GT_ModHandler.getIC2Item("lavaCell"								, 1   ), OP.cell.dat(MT.Lava));
        IL.Cell_Air.set(							GT_ModHandler.getIC2Item("airCell"								, 1   ), OP.cell.dat(MT.Air));
    	OP.cellPlasma.mContainerItem =				GT_ModHandler.getIC2Item("cell"									, 1   , OreDictManager.INSTANCE.getFirstOre("cellEmpty", 1));
    	OP.cell.mContainerItem =					GT_ModHandler.getIC2Item("cell"									, 1   , OreDictManager.INSTANCE.getFirstOre("cellEmpty", 1));
        
        IL.IC2_Scaffold.set(						GT_ModHandler.getIC2Item("scaffold"								, 1   ), new OreDictItemData(MT.Wood, 9*U/8));
        IL.IC2_Scaffold_Iron.set(					GT_ModHandler.getIC2Item("ironScaffold"							, 1   ), new OreDictItemData(MT.Fe, 15*U/32));
        IL.IC2_Spray_WeedEx.set(					GT_ModHandler.getIC2Item("weedEx"								, 1   ), new OreDictItemData(MT.Sn, U, MT.Redstone, U));
        IL.IC2_Mixed_Metal_Ingot.set(				GT_ModHandler.getIC2Item("mixedMetalIngot"						, 1   ));
        IL.IC2_Fertilizer.set(						GT_ModHandler.getIC2Item("fertilizer"							, 1   ), null, "itemFertilizer");
    	IL.IC2_Resin.set(							GT_ModHandler.getIC2Item("resin"								, 1   ));
    	IL.IC2_Plantball.set(						GT_ModHandler.getIC2Item("plantBall"							, 1   ));
    	IL.IC2_Biochaff.set(						GT_ModHandler.getIC2Item("biochaff"								, 1   ));
    	IL.IC2_Crop_Seeds.set(						GT_ModHandler.getIC2Item("cropSeed"								, 1   ));
    	IL.IC2_Grin_Powder.set(						GT_ModHandler.getIC2Item("grinPowder"							, 1   ));
    	IL.IC2_Energium_Dust.set(					GT_ModHandler.getIC2Item("energiumDust"							, 1   ));
        IL.IC2_Scrap.set(							GT_ModHandler.getIC2Item("scrap"								, 1   ));
        IL.IC2_Scrapbox.set(						GT_ModHandler.getIC2Item("scrapBox"								, 1   ));
        IL.IC2_Fuel_Rod_Empty.set(					GT_ModHandler.getIC2Item("fuelRod"								, 1   ), new OreDictItemData(MT.Fe, U));
        IL.IC2_Food_Can_Empty.set(					GT_ModHandler.getIC2Item("tinCan"								, 1   ), new OreDictItemData(MT.Sn, U/2));
        IL.IC2_Food_Can_Filled.set(					GT_ModHandler.getIC2Item("filledTinCan"							, 1, 0));
        IL.IC2_Food_Can_Spoiled.set(				GT_ModHandler.getIC2Item("filledTinCan"							, 1, 1));
        IL.IC2_Industrial_Diamond.set(				GT_ModHandler.getIC2Item("industrialDiamond"					, 1, UT.Stacks.make(Items.diamond, 1, 0)));
        IL.IC2_Coal_Ball.set(						GT_ModHandler.getIC2Item("coalBall"								, 1   ), new OreDictItemData(MT.Coal, U*8));
        IL.IC2_Compressed_Coal_Ball.set(			GT_ModHandler.getIC2Item("compressedCoalBall"					, 1   ), new OreDictItemData(MT.Coal, U*8));
        IL.IC2_Compressed_Coal_Chunk.set(			GT_ModHandler.getIC2Item("coalChunk"							, 1   ), new OreDictItemData(MT.Coal, U*64));
        IL.IC2_Carbon_Fiber.set(					GT_ModHandler.getIC2Item("carbonFiber"							, 1   ));
        IL.IC2_Carbon_Mesh.set(						GT_ModHandler.getIC2Item("carbonMesh"							, 1   ));
        IL.IC2_Carbon_Plate.set(					GT_ModHandler.getIC2Item("carbonPlate"							, 1   ));
        IL.IC2_Advanced_Alloy.set(					GT_ModHandler.getIC2Item("advancedAlloy"						, 1   ));
        IL.IC2_ShaftIron.set(						GT_ModHandler.getIC2Item("ironshaft"							, 1   ), new OreDictItemData(MT.Fe, U*9));
        IL.IC2_ShaftSteel.set(						GT_ModHandler.getIC2Item("steelshaft"							, 1   ), new OreDictItemData(MT.Steel, U*9));
        
        IL.IC2_SuBattery.set(						GT_ModHandler.getIC2Item("suBattery"							, 1   ));
        IL.IC2_ReBattery.set(						GT_ModHandler.getIC2Item("reBattery"							, 1   ));
        IL.IC2_AdvBattery.set(						GT_ModHandler.getIC2Item("advBattery"							, 1   ));
        IL.IC2_EnergyCrystal.set(					GT_ModHandler.getIC2Item("energyCrystal"						, 1   ));
        IL.IC2_LapotronCrystal.set(					GT_ModHandler.getIC2Item("lapotronCrystal"						, 1   ));
        
        IL.Tool_Sword_Bronze.set(					GT_ModHandler.getIC2Item("bronzeSword"							, 1   ));
        IL.Tool_Pickaxe_Bronze.set(					GT_ModHandler.getIC2Item("bronzePickaxe"						, 1   ));
        IL.Tool_Shovel_Bronze.set(					GT_ModHandler.getIC2Item("bronzeShovel"							, 1   ));
        IL.Tool_Axe_Bronze.set(						GT_ModHandler.getIC2Item("bronzeAxe"							, 1   ));
        IL.Tool_Hoe_Bronze.set(						GT_ModHandler.getIC2Item("bronzeHoe"							, 1   ));
        IL.IC2_ForgeHammer.set(						GT_ModHandler.getIC2Item("ForgeHammer"							, 1   ));
        IL.IC2_WireCutter.set(						GT_ModHandler.getIC2Item("cutter"								, 1   ));
        
        IL.Credit_Iron.set(							GT_ModHandler.getIC2Item("coin"									, 1   ));
        
        IL.Circuit_Basic.set(						GT_ModHandler.getIC2Item("electronicCircuit"					, 1   ), OP.circuit.dat(MT.Basic));
        IL.Circuit_Advanced.set(					GT_ModHandler.getIC2Item("advancedCircuit"						, 1   ), OP.circuit.dat(MT.Advanced));
        
        IL.Upgrade_Overclocker.set(					GT_ModHandler.getIC2Item("overclockerUpgrade"					, 1   ));
        IL.Upgrade_Battery.set(						GT_ModHandler.getIC2Item("energyStorageUpgrade"					, 1   ));
        
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sFrostHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sHeatHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sBioHazmatList			.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sGasHazmatList			.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getModItem(ModIDs.ReC, "reactorcraft_item_hazhelmet"			, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getModItem(ModIDs.ReC, "reactorcraft_item_hazchest"			, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getModItem(ModIDs.ReC, "reactorcraft_item_hazlegs"			, 1, W));
        GregTech_API.sRadioHazmatList		.add(GT_ModHandler.getModItem(ModIDs.ReC, "reactorcraft_item_hazboots"			, 1, W));
        
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatHelmet"									, 1, W));
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatChestplate"								, 1, W));
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatLeggings"									, 1, W));
        GregTech_API.sElectroHazmatList		.add(GT_ModHandler.getIC2Item("hazmatBoots"										, 1, W));
        GregTech_API.sElectroHazmatList		.add(UT.Stacks.make(Items.chainmail_helmet										, 1, W));
        GregTech_API.sElectroHazmatList		.add(UT.Stacks.make(Items.chainmail_chestplate									, 1, W));
        GregTech_API.sElectroHazmatList		.add(UT.Stacks.make(Items.chainmail_leggings									, 1, W));
        GregTech_API.sElectroHazmatList		.add(UT.Stacks.make(Items.chainmail_boots										, 1, W));
	}
}